## drizzle 7.1.36

=== plugin/innobase/CMakeLists.txt ===
# Copyright (C) 2009 Oracle/Innobase Oy
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02111-1307  USA

# This is the CMakeLists for InnoDB Plugin

# The dynamic plugin requires CMake 2.6.0 or later. Otherwise, the /DELAYLOAD
# property will not be set
CMAKE_MINIMUM_REQUIRED(VERSION 2.6 FATAL_ERROR)

# When PROJECT is defined, a separate .sln file will be generated.
# PROJECT (INNODB_PLUGIN)

MESSAGE(STATUS "Enter InnoDB ...")
MESSAGE(STATUS "INNODB_DYNAMIC_PLUGIN: " ${INNODB_DYNAMIC_PLUGIN})

# Print out CMake info
MESSAGE(STATUS "CMAKE_GENERATOR: " ${CMAKE_GENERATOR})
MESSAGE(STATUS "CMAKE_SOURCE_DIR: " ${CMAKE_SOURCE_DIR})

# Print out system information
MESSAGE(STATUS "CMAKE_SYSTEM: " ${CMAKE_SYSTEM})
MESSAGE(STATUS "CMAKE_SYSTEM_PROCESSOR: " ${CMAKE_SYSTEM_PROCESSOR})
MESSAGE(STATUS "UNIX: " ${UNIX})
MESSAGE(STATUS "WIN32: " ${WIN32})

IF (CMAKE_SIZEOF_VOID_P MATCHES 8)
	SET(WIN64 TRUE)
ENDIF (CMAKE_SIZEOF_VOID_P MATCHES 8)

MESSAGE(STATUS "WIN64: " ${WIN64})
MESSAGE(STATUS "MSVC: " ${MSVC})

# Check type sizes
include(CheckTypeSize)

# Currently, the checked results are not used.
CHECK_TYPE_SIZE(int SIZEOF_INT)
CHECK_TYPE_SIZE(long SIZEOF_LONG)
CHECK_TYPE_SIZE(void* SIZEOF_VOID_P)

# Include directories under innobase
INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/storage/innobase/include
		    ${CMAKE_SOURCE_DIR}/storage/innobase/handler)

# Include directories under mysql
INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/include
		    ${CMAKE_SOURCE_DIR}/sql
		    ${CMAKE_SOURCE_DIR}/regex
		    ${CMAKE_SOURCE_DIR}/zlib
		    ${CMAKE_SOURCE_DIR}/extra/yassl/include)

# Removing compiler optimizations for innodb/mem/* files on 64-bit Windows
# due to 64-bit compiler error, See MySQL Bug #19424, #36366, #34297
IF(MSVC AND $(WIN64))
	SET_SOURCE_FILES_PROPERTIES(mem/mem0mem.c mem/mem0pool.c
				    PROPERTIES COMPILE_FLAGS -Od)
ENDIF(MSVC AND $(WIN64))

SET(INNODB_SOURCES	btr/btr0btr.c btr/btr0cur.c btr/btr0pcur.c btr/btr0sea.c
			buf/buf0buddy.c buf/buf0buf.c buf/buf0flu.c buf/buf0lru.c buf/buf0rea.c
			data/data0data.c data/data0type.c
			dict/dict0boot.c dict/dict0crea.c dict/dict0dict.c dict/dict0load.c dict/dict0mem.c
			dyn/dyn0dyn.c
			eval/eval0eval.c eval/eval0proc.c
			fil/fil0fil.c
			fsp/fsp0fsp.c
			fut/fut0fut.c fut/fut0lst.c
			ha/ha0ha.c ha/hash0hash.c ha/ha0storage.c
			ibuf/ibuf0ibuf.c
			pars/lexyy.c pars/pars0grm.c pars/pars0opt.c pars/pars0pars.c pars/pars0sym.c
			lock/lock0lock.c lock/lock0iter.c
			log/log0log.c log/log0recv.c
			mach/mach0data.c
			mem/mem0mem.c mem/mem0pool.c
			mtr/mtr0log.c mtr/mtr0mtr.c
			os/os0file.c os/os0proc.c os/os0sync.c os/os0thread.c
			page/page0cur.c page/page0page.c page/page0zip.c
			que/que0que.c
			handler/ha_innodb.cc handler/handler0alter.cc handler/i_s.cc handler/mysql_addons.cc
			read/read0read.c
			rem/rem0cmp.c rem/rem0rec.c
			row/row0ext.c row/row0ins.c row/row0merge.c row/row0mysql.c row/row0purge.c row/row0row.c
			row/row0sel.c row/row0uins.c row/row0umod.c row/row0undo.c row/row0upd.c row/row0vers.c
			srv/srv0que.c srv/srv0srv.c srv/srv0start.c
			sync/sync0arr.c sync/sync0rw.c sync/sync0sync.c
			thr/thr0loc.c
			trx/trx0i_s.c trx/trx0purge.c trx/trx0rec.c trx/trx0roll.c trx/trx0rseg.c
			trx/trx0sys.c trx/trx0trx.c trx/trx0undo.c
			usr/usr0sess.c
			ut/ut0byte.c ut/ut0dbg.c ut/ut0mem.c ut/ut0rbt.c ut/ut0rnd.c ut/ut0ut.c ut/ut0vec.c
			ut/ut0list.c ut/ut0wqueue.c)

IF(NOT SOURCE_SUBLIBS)
	# INNODB_RW_LOCKS_USE_ATOMICS may be defined only if HAVE_WINDOWS_ATOMICS is defined.
	# Windows Interlocked functions require Windows 2000 or newer operating system
	ADD_DEFINITIONS(-D_WIN32 -DHAVE_WINDOWS_ATOMICS -DINNODB_RW_LOCKS_USE_ATOMICS -DIB_HAVE_PAUSE_INSTRUCTION)
	ADD_LIBRARY(innobase STATIC ${INNODB_SOURCES})
	# Require mysqld_error.h, which is built as part of the GenError
	ADD_DEPENDENCIES(innobase GenError)
	# only set MYSQL_SERVER for the builtin engine, not the plugin
	SET_TARGET_PROPERTIES(innobase PROPERTIES COMPILE_FLAGS "-DMYSQL_SERVER")

	# Dynamic plugin ha_innodb.dll
	IF(INNODB_DYNAMIC_PLUGIN)
		ADD_LIBRARY(ha_innodb SHARED ${INNODB_SOURCES} ha_innodb.def handler/win_delay_loader.cc)
		# Require mysqld_error.h, which is built as part of the GenError
		# Also require mysqld.lib, which is built as part of the mysqld
		ADD_DEPENDENCIES(ha_innodb GenError mysqld)

		TARGET_LINK_LIBRARIES(ha_innodb ${CMAKE_SOURCE_DIR}/sql/\$\(OutDir\)/mysqld.lib)
		SET_TARGET_PROPERTIES(ha_innodb PROPERTIES OUTPUT_NAME ha_innodb)
		SET_TARGET_PROPERTIES(ha_innodb PROPERTIES LINK_FLAGS "/MAP /MAPINFO:EXPORTS")
		SET_TARGET_PROPERTIES(ha_innodb PROPERTIES LINK_FLAGS "/ENTRY:\"_DllMainCRTStartup@12\"")
		SET_TARGET_PROPERTIES(ha_innodb PROPERTIES COMPILE_FLAGS "-DMYSQL_DYNAMIC_PLUGIN")
		SET_TARGET_PROPERTIES(ha_innodb PROPERTIES LINK_FLAGS "/DELAYLOAD:mysqld.exe")
	ENDIF(INNODB_DYNAMIC_PLUGIN)
ENDIF(NOT SOURCE_SUBLIBS)

MESSAGE(STATUS "Exit InnoDB ...")

## drizzle 7.1.36-stable

=== debian/changelog ===
drizzle (1:7.1.36-stable-4ubuntu2) saucy; urgency=low

  * Disable -floop-parallelize-all due to gcc-4.8/4.9 compiler ICE
    http://gcc.gnu.org/bugzilla/show_bug.cgi?id=57732

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 21 Aug 2013 21:11:29 +0100

drizzle (1:7.1.36-stable-4ubuntu1) saucy; urgency=low

  * Merge from debian, remaining changes:
    - Link against boost_system because of boost_thread.
    - Add required libs to message/include.am
    - Add upstart job and adjust init script to be upstart compatible.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 17 Jul 2013 02:13:01 +0100

drizzle (1:7.1.36-stable-4) unstable; urgency=low

  * Fix "FTBFS: autoreconf: automake failed with exit status: 1" by fixing
    pandora (new patch pandora_fixforautomake1.13.patch) (Closes: #711199)
  * Add Slovak po-debconf translation (Closes: #709089)
  * Bump S-V, no changes required
  * Overriding linitian error regarding embedded code copy (libjson) until
    upstream gives feedback/reasons about it
  * Add verbosity to the build to make build log check compiler-flags-hidden
    happy

 -- Tobias Frost <tobi@coldtobi.de>  Sat, 08 Jun 2013 12:39:43 +0200

drizzle (1:7.1.36-stable-3) unstable; urgency=low

  * New patch boost-1.49.patch due to a boost problem showed with gcc >4.7
    (Closes: #701269)
  * Adding Japanese (Closes: #692842) and Brazilian (Closes: #685770)
    translations
  * Do not build undocumented commands drizzle_passwordhash and
    drizzlebackup.innobase (no man pages are available.) This is handled
    in the new patches donotbuild_drizzlepasswordhash.patch and
    donotbuild_drizzlebackup.innobase.patch
  * Switch from hardening-wrapper to dpkg-buildflags
  * Add patch ftbfs-bison-2.7.patch to fix a FTBS with recent bison.
    (cherry-picked from upstream)

 -- Tobias Frost <tobi@coldtobi.de>  Mon, 20 May 2013 01:01:26 +0200

drizzle (1:7.1.36-stable-2) experimental; urgency=low

  * Remove extra space in drizzle.init and prepare /var/run/drizzle
    (Closes: #678702)
  * Building mysql-protocol-plugin and and mysql-socket-protocol-plugin
    (Closes: #678963)
  * New patch: Changing default path for the mysql.socket to /var/run/drizzle
  * Remove linitian warning regarding d/copyright.
  * Targeting experimental during the freeze.

 -- Tobias Frost <tobi@coldtobi.de>  Sun, 19 Aug 2012 16:03:04 +0200

drizzle (1:7.1.36-stable-1ubuntu2) saucy; urgency=low

  * Link against boost_system because of boost_thread. (LP: #1132648)
  * Use TIME_UTC_ symbol instead of TIME_UTC.
  * Cherrypick -r2618 for toolchain fixes.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 28 May 2013 09:52:54 +0100

drizzle (1:7.1.36-stable-1ubuntu1) quantal; urgency=low

  * Merge from Debian unstable. (LP: #987575)
    Remaining changes:
    - Added upstart script.
  * debian/drizzle.upstart: dropped logger since upstart logs job
    output now.

 -- Clint Byrum <clint@ubuntu.com>  Tue, 19 Jun 2012 10:46:49 -0700

drizzle (1:7.1.36-stable-1) unstable; urgency=low

  * Imported Upstream version 7.1.36-stable
  * Refreshing patches. Dropping libgearman1.0.patch as no longer needed.

 -- Tobias Frost <tobi@coldtobi.de>  Sun, 03 Jun 2012 12:10:19 +0200

drizzle (1:7.1.33-stable-4) unstable; urgency=low

  * Libv8 is currently no longer available for mipsel, so do not build
    drizzle-plugin-js for this architecture
  * Add patch to support gcc-4.7

 -- Tobias Frost <tobi@coldtobi.de>  Wed, 09 May 2012 21:13:36 +0200

drizzle (1:7.1.33-stable-3) unstable; urgency=low

  * Remove /etc/drizzle/drizzle.users on purge (Closes: 670425)

 -- Tobias Frost <tobi@coldtobi.de>  Wed, 25 Apr 2012 19:23:42 +0200

drizzle (1:7.1.33-stable-2) unstable; urgency=low

  * Add patch always-help.patch
  * Fix "FTBFS on kfreeBSD-*", see patch do-not-use-O_CLOEXEC.patch
    (Closes: #668493)
  * Init file still had an drizzle7 in it.
  * Installing /var/lib/drizzle with the package (Closes: #668786)
  * Dropping B-Ds on libreadline5-dev

 -- Tobias Frost <tobi@coldtobi.de>  Mon, 23 Apr 2012 18:24:34 +0200

drizzle (1:7.1.33-stable-1) unstable; urgency=low

  * New upstream release.
  * Fix dependency for libdrizzle-dev (Closes: #668424)
  * Symlink in libdrizzle-dev was referring to the old library.

 -- Tobias Frost <tobi@coldtobi.de>  Thu, 12 Apr 2012 10:26:47 +0200

drizzle (1:7.1.32-rc-1) unstable; urgency=low

  * New upstream release.
  * Plugin-filtered-replicator upstream removed and will no longer be built.
  * Updating d/*install files to accommodate upstream changes from drizzle7
    to drizzle
  * Added symlink in libdrizzledmessage-dev to library
  * libdrizzle: soname-bump
  * Rename package drizzle-plugin-performance-dictionary to shorten package name
    (due to linitan warning package-has-long-file-name)
  * Debian/control: removed unused substitution variable ${shlibs:Depends} for
    -dbg and -dev packages

 -- Tobias Frost <tobi@coldtobi.de>  Wed, 04 Apr 2012 15:12:07 +0200

drizzle (2012.01.30-4) unstable; urgency=low

  * B-D systemtap-sdt-dev is no longer available for mips, mipsel, s390x and
    sparc.

 -- Tobias Frost <tobi@coldtobi.de>  Thu, 29 Mar 2012 22:31:51 +0200

drizzle (2012.01.30-3) unstable; urgency=low

  * Really fix the FTBFS due to dh_sphinxdoc (Closes: #663985)

 -- Tobias Frost <tobi@coldtobi.de>  Tue, 20 Mar 2012 12:21:26 +0100

drizzle (2012.01.30-2) unstable; urgency=low

  * Apply patch to turn off intersphinx mappings for sphinxdocs.
  * Add patch to disable pandora to detect the debian repo as upstream.
  * Call dh_autoreconf with the script conf/autorun.sh
  * Do not run dh_sphinxdoc when not building -doc package. (Closes: #663985)
  * Prepared watchfile for new upstream version scheme
  * Plugin javascript extracted into own package, as its BD is only available
    on a few architectures.
  * Upstream file should not be installed by dh_installinit to avoid upstream
    dependency
  * Add upstart file to examples.


=== debian/control ===
Source: drizzle
Section: database
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Tobias Frost <tobi@coldtobi.de>
Build-Depends: autoconf,
               automake,
               bison,
               debhelper (>=9),
               dh-autoreconf,
               doxygen,
               flex,
               gettext,
               gperf,
               intltool,
               libaio-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               libboost-date-time-dev,
               libboost-dev,
               libboost-filesystem-dev,
               libboost-iostreams-dev,
               libboost-program-options-dev,
               libboost-regex-dev,
               libboost-test-dev,
               libboost-thread-dev,
	       libboost-system-dev,
               libcloog-ppl-dev,
               libcurl4-gnutls-dev,
               libgcrypt11-dev,
               libgearman-dev (>= 0.27-2),
               libldap2-dev,
               libmemcached-dev (>= 0.39),
               libpam0g-dev,
               libpcre3-dev,
               libprotobuf-dev,
               librabbitmq-dev,
               libreadline-dev (>= 5.0),
               libtool,
               libv8-dev [amd64 armel armhf i386],
               pandora-build,
               po-debconf,
               protobuf-compiler,
               python,
               python-sphinx (>= 1.0.7+dfsg),
               systemtap-sdt-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386 !mips !mipsel !s390x !sparc],
               uuid-dev,
               zlib1g-dev (>= 1:1.1.3-5)
Standards-Version: 3.9.4
Homepage: http://launchpad.net/drizzle
Vcs-Browser: https://gitorious.org/drizzle-debian/drizzle-debian/trees/master
Vcs-Git: http://git.gitorious.org/drizzle-debian/drizzle-debian.git

Package: drizzle-client
Architecture: any
Priority: optional
Depends: debianutils (>=1.6), ${misc:Depends}, ${shlibs:Depends}
Description: Client binaries for Drizzle Database
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the client binaries.

Package: drizzle
Architecture: any
Pre-Depends: adduser (>= 3.40)
Conflicts: drizzle-server
Replaces: drizzle-server
Depends: drizzle-client (>= ${source:Version}),
         libdrizzledmessage0 (= ${binary:Version}),
         lsb-base (>= 4.1+Debian3),
         passwd,
         psmisc,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Server binaries for Drizzle Database
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the server binaries.

Package: drizzle-plugin-auth-file
Architecture: any
Depends: drizzle (= ${binary:Version}),
         pwgen,
         ${misc:Depends},
         ${shlibs:Depends}
Description: File-based authentication for Drizzle
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the File-based Authentication plugin.

Package: drizzle-plugin-auth-http
Architecture: any
Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: HTTP authentication for Drizzle
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the HTTP Authentication plugin.

Package: drizzle-plugin-auth-ldap
Architecture: any
Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: LDAP authentication for Drizzle
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the LDAP Authentication plugin.

Package: drizzle-plugin-auth-pam
Architecture: any
Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: PAM authentication for Drizzle
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the PAM Authentication plugin.

Package: drizzle-plugin-auth-schema
Architecture: any
Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Schema authentication for Drizzle
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the Schema Authentication plugin.

Package: drizzle-plugin-js
Architecture: armel armhf i386 amd64
Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Javascript plugin for Drizzle
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the Javascript plugin.

Package: drizzle-plugin-debug
Architecture: any
Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Plugin that facilitates debugging Drizzle
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the Debug plugin.

Package: drizzle-plugin-gearman-udf
Architecture: any
Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Gearman User Defined Functions for Drizzle
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the Gearman User Defined Functions plugin.

Package: drizzle-plugin-http-functions
Architecture: any
Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: HTTP Functions for Drizzle
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the HTTP Functions plugin.

Package: drizzle-plugin-json-server
Architecture: any
Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: JSON HTTP (NoSQL) interface for Drizzle
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the JSON Server plugin.

Package: drizzle-plugin-logging-gearman
Architecture: any
Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Gearman Logging for Drizzle
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the Gearman Logging plugin.

Package: drizzle-plugin-logging-query
Architecture: any
Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Query Logging for Drizzle
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the Query Logging plugin.

Package: drizzle-plugin-perf-dictionary
Architecture: any
Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Provides: drizzle-plugin-performance-dictionary
Replaces: drizzle-plugin-performance-dictionary
Conflicts: drizzle-plugin-performance-dictionary
Description: Performance Dictionary for Drizzle
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the Performance Dictionary plugin.

Package: drizzle-plugin-rabbitmq
Architecture: any
Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: RabbitMQ Transaction Log for Drizzle
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the RabbitMQ Transaction Log plugin.

Package: drizzle-plugin-regex-policy
Architecture: any
Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Regex based authorization rules for Drizzle
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the Regex Policy plugin.

Package: drizzle-plugin-slave
Architecture: any
Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Replication Slave Plugin for Drizzle
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the replication slave plugin.

Package: drizzle-plugin-simple-user-policy
Architecture: any
Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Simple User Policy for Drizzle
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes a plugin implementing a simple schema-per-user
 authorization policy.

Package: drizzle-plugin-query-log
Architecture: any
Depends: drizzle (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Query logging for Drizzle
 The Drizzle project is building a database optimized for Cloud and Net
 applications. It is being designed for massive concurrency on modern
 multi-cpu/core architecture. The code is originally derived from MySQL.
 .
 This package includes the Query Log plugin.

Package: drizzle-plugin-dev
Section: devel
Architecture: any
Recommends: protobuf-compiler
Depends: autoconf,
         automake,
         build-essential,
         gettext,
         intltool,
         libaio-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
         libboost-date-time-dev,
         libboost-dev,
         libboost-filesystem-dev,
         libboost-iostreams-dev,
         libboost-program-options-dev,
         libboost-regex-dev,
         libboost-thread-dev,
         libcurl4-gnutls-dev,
         libdrizzledmessage-dev,
         libgearman-dev (>= 0.27-2),
         libldap2-dev,
         libmemcached-dev (>= 0.39),
         libpam0g-dev,
         libpcre3-dev,
         libprotobuf-dev,
         libreadline-dev (>> 5.0),
         libtool,
         lsb-base (>= 3.0-10),

=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
 CFLAGS += -O0
else
 CFLAGS += -O2
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  MAKEFLAGS += -j$(NUMJOBS)
endif

TMP=$(CURDIR)/debian/tmp/

%:
	dh $@ --with sphinxdoc --with autoreconf

override_dh_auto_clean:
	dh_testdir
	dh_auto_clean
	dh_clean
	debconf-updatepo
	-${RM} -rf docs/drizzled docs/html docs/pyext/*.pyc

override_dh_autoreconf:
	python config/pandora-plugin write
	python config/pandora-plugin plugin-list
	dh_autoreconf config/autorun.sh


override_dh_auto_configure:
	dh_auto_configure -- \
	  --disable-rpath \
	  --localstatedir=/var/lib/drizzle \
	  --with-comment="Debian" $(shell dpkg-buildflags --export=configure) \
	  --disable-silent-rules \
	  F_LOOP_PARALLELIZE_ALL=""

override_dh_auto_build:
	${MAKE}
	${MAKE} doxygen
	${MAKE} html


override_dh_strip:
	dh_strip -Xdrizzled -Xplugin -Xbin --dbg-package=libdrizzle-dbg
	dh_strip -Xlibdrizzle.so --dbg-package=drizzle-dbg

override_dh_auto_test:
	echo "skipping tests"

override_dh_installdocs:
	dh_installdocs -A
	${RM} -f $(CURDIR)/debian/drizzle-doc/usr/share/doc/drizzle-doc/html/_sources/license.txt

override_dh_sphinxdoc:
	(test -d $(CURDIR)/debian/drizzle-doc && dh_sphinxdoc -Xlicense.txt) || /bin/true

grepdiff:
	bzr diff | grepdiff Copyright

scan-copyright:
	for f in `bzr status  --short | grep '^.[NM]' | awk '{print $$2}'` ; do [ -f $$f ] && bzr diff $$f | grep 'Copyright' && echo $$f; done

get-orig-source:
	# Uscan will read debian/watch, grab the correct version, repack, and
	# leave it in the current directory
	uscan --noconf --force-download --rename --repack \
	  --download-current-version --destdir=.

## drizzle 7.2.3

=== plugin/innobase/CMakeLists.txt ===
--- 
+++ 
@@ -95,7 +95,6 @@
 			row/row0sel.c row/row0uins.c row/row0umod.c row/row0undo.c row/row0upd.c row/row0vers.c
 			srv/srv0que.c srv/srv0srv.c srv/srv0start.c
 			sync/sync0arr.c sync/sync0rw.c sync/sync0sync.c
-			thr/thr0loc.c
 			trx/trx0i_s.c trx/trx0purge.c trx/trx0rec.c trx/trx0roll.c trx/trx0rseg.c
 			trx/trx0sys.c trx/trx0trx.c trx/trx0undo.c
 			usr/usr0sess.c

=== debian/changelog ===
drizzle (1:7.2.3-2ubuntu2) trusty; urgency=medium

  * No-change rebuild against libprotobuf8

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 29 Jan 2014 13:09:12 +0000

drizzle (1:7.2.3-2ubuntu1) trusty; urgency=low

  * Merge from debian, remaining changes:
    - Link against boost_system because of boost_thread.
    - Add required libs to message/include.am
    - Add upstart job and adjust init script to be upstart compatible.
    - Disable -floop-parallelize-all due to gcc-4.8/4.9 compiler ICE
      http://gcc.gnu.org/bugzilla/show_bug.cgi?id=57732

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Tue, 29 Oct 2013 15:43:40 +0000

drizzle (1:7.2.3-2) unstable; urgency=low

  * Patch for boost-1.54 was incomplete: libthread needs also linkage on
    libboost-atomic for some archs
  * Trying to enable build for hurd (new patch: enable-hurd.patch)

 -- Tobias Frost <tobi@coldtobi.de>  Fri, 23 Aug 2013 19:19:46 +0200

drizzle (1:7.2.3-1) unstable; urgency=low

  * New upstream release
  * Refresh debian/patches/fix_spellings.patch
  * Refresh donotbuild_drizzlepasswordhash.patch
  * Refresh donotbuild_drizzlebackup.innobase.patch
  * Refreshing patcha ftbfs-bison-2.7.patch from series
  * Force gcc-4.7 for now, as gcc-4.8 segfaults (See bug #715566)
    (Closes: #720000)
  * New patch: fix_format_not_a_string_literal
  * Update d/libdrizzle4.symbols
  * Add Indonesian debconf translation (Closes: #711809)
  * Add lintian override for libdrizzledmessage0: no-symbols-control-
    file
  * Add lintian override for libdrizzledmessage0: spelling-error-in-binary
    which is actually part of a symbol name in the library
  * Add new patch for boost1.54

 -- Tobias Frost <tobi@coldtobi.de>  Thu, 22 Aug 2013 20:18:31 +0200

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,10 @@
                flex,
                gettext,
                gperf,
+               gcc-4.7, g++-4.7,
                intltool,
                libaio-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
+               libboost-atomic-dev,
                libboost-date-time-dev,
                libboost-dev,
                libboost-filesystem-dev,
@@ -34,6 +36,7 @@
                libprotobuf-dev,
                librabbitmq-dev,
                libreadline-dev (>= 5.0),
+               libssl-dev,
                libtool,
                libv8-dev [amd64 armel armhf i386],
                pandora-build,
@@ -290,7 +293,3 @@
          libmemcached-dev (>= 0.39),
          libpam0g-dev,
          libpcre3-dev,
-         libprotobuf-dev,
-         libreadline-dev (>> 5.0),
-         libtool,
-         lsb-base (>= 3.0-10),

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 	dh_auto_clean
 	dh_clean
 	debconf-updatepo
-	-${RM} -rf docs/drizzled docs/html docs/pyext/*.pyc
+	-${RM} -rf docs/drizzled docs/html docs/pyext/*.pyc tests/kewpie
 
 override_dh_autoreconf:
 	python config/pandora-plugin write
@@ -30,7 +30,7 @@
 
 
 override_dh_auto_configure:
-	dh_auto_configure -- \
+	CC=gcc-4.7 CXX=g++-4.7 dh_auto_configure -- \
 	  --disable-rpath \
 	  --localstatedir=/var/lib/drizzle \
 	  --with-comment="Debian" $(shell dpkg-buildflags --export=configure) \

=== debian/watch ===
version=3
http://launchpad.net/drizzle/+download https://launchpad.net/drizzle/.*/drizzle-(.*)\.tar\.gz

## drizzle 7.2.4~alpha

=== debian/changelog ===
drizzle (1:7.2.4~alpha-2ubuntu2) vivid; urgency=medium

  * Rebuild against libprotobuf9.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 04 Dec 2014 10:32:01 +0000

drizzle (1:7.2.4~alpha-2ubuntu1) utopic; urgency=medium

  * Merge with Debian; remaining changes:
    - Add upstart job and adjust init script to be upstart compatible.
  * Build-depend on systemtap-sdt-dev on all architectures.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Aug 2014 12:41:18 +0200

drizzle (1:7.2.4~alpha-2) unstable; urgency=medium

  * upload to unstable
  * As sucesfully tested in experimental, get rid of the gcc-4.7 dependency
    (Closes: #747995)
  * rework of debian/patches/*: Removing unused autotools.patch and prefixing
    all other patches with numbers to indicate the order
  * Remove patch fix_pandora_sphinx, no longer needed
  * Fix "UDS connect getting into infinite loop" by cherrypicking the
    libdrizzl4 patch. See new patch 140-libdrizzle-uds.patch (Closes: #740240)

 -- Tobias Frost <tobi@coldtobi.de>  Thu, 22 May 2014 07:28:04 +0200

drizzle (1:7.2.4~alpha-2~exp1) experimental; urgency=medium

  * Test-build to experimental to see if ICE of gcc-4.8 is gone.

 -- Tobias Frost <tobi@coldtobi.de>  Sun, 26 Jan 2014 21:21:22 +0000

drizzle (1:7.2.4~alpha-1) unstable; urgency=low

  * New upstream release. As an alpha-release, targeting experimental for now.
  * Updated d/control Vcs-browser as I changed debian branchnames to
    prepare an experimental upload
  * Patches removed, applied upstream:
     - bug-631107.patch
     - always-help.patch
     - do-not-use-O_CLOEXEC.patch
     - ftbfs-gcc47.patch
  * Refreshed patch enable-hurd.patch
  * Update watchfile, thanks Bart Martens for providing it
  * Adding lintian overrides for some informational and pedantic types:
     - hardening-no-fortify-functions: false positives for
        libgearman_udf_plugin.so and libshow_schema_proto_plugin.so
     - duplicate-files: some small files in drizzle-dev-doc and drizzle-doc
     - debian-watch-may-check-gpg-signature: Waiting for upstream to
        clearify
  * Cleaning up d/rules

 -- Tobias Frost <tobi@coldtobi.de>  Sun, 05 Jan 2014 22:17:00 +0100

drizzle (1:7.2.3-3) unstable; urgency=low

  * Bump S-V to 3.9.5, no changes required
  * override maintainer-script-should-not-use-adduser-system-without-
    home due to a false positive
  * Add Chinese translation
  * B-D on systemtap-sdt-dev only on archs supported by it
    (Closes: #722109, #733292)
  * Trick the pandora build system that we have a recent sphinx
    (new patch fix_pandora_sphinx.patch)

 -- Tobias Frost <tobi@coldtobi.de>  Thu, 02 Jan 2014 16:37:29 +0100

drizzle (1:7.2.3-2ubuntu3) utopic; urgency=high

  * No change rebuild against boost1.55.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 28 Apr 2014 03:44:55 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
                flex,
                gettext,
                gperf,
-               gcc-4.7, g++-4.7,
                intltool,
                libaio-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
                libboost-atomic-dev,
@@ -44,12 +43,12 @@
                protobuf-compiler,
                python,
                python-sphinx (>= 1.0.7+dfsg),
-               systemtap-sdt-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386 !mips !mipsel !s390x !sparc],
+               systemtap-sdt-dev [linux-any],
                uuid-dev,
                zlib1g-dev (>= 1:1.1.3-5)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://launchpad.net/drizzle
-Vcs-Browser: https://gitorious.org/drizzle-debian/drizzle-debian/trees/master
+Vcs-Browser: https://gitorious.org/drizzle-debian/drizzle-debian
 Vcs-Git: http://git.gitorious.org/drizzle-debian/drizzle-debian.git
 
 Package: drizzle-client
@@ -293,3 +292,7 @@
          libmemcached-dev (>= 0.39),
          libpam0g-dev,
          libpcre3-dev,
+         libprotobuf-dev,
+         libreadline-dev (>> 5.0),
+         libtool,
+         lsb-base (>= 3.0-10),

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 	dh_auto_clean
 	dh_clean
 	debconf-updatepo
-	-${RM} -rf docs/drizzled docs/html docs/pyext/*.pyc tests/kewpie
+	-${RM} -rf docs/drizzled docs/html docs/pyext/*.pyc tests/kewpie config/top.h
 
 override_dh_autoreconf:
 	python config/pandora-plugin write
@@ -30,12 +30,11 @@
 
 
 override_dh_auto_configure:
-	CC=gcc-4.7 CXX=g++-4.7 dh_auto_configure -- \
+	dh_auto_configure -- \
 	  --disable-rpath \
 	  --localstatedir=/var/lib/drizzle \
 	  --with-comment="Debian" $(shell dpkg-buildflags --export=configure) \
-	  --disable-silent-rules \
-	  F_LOOP_PARALLELIZE_ALL=""
+	  --disable-silent-rules
 
 override_dh_auto_build:
 	${MAKE}
@@ -57,14 +56,3 @@
 override_dh_sphinxdoc:
 	(test -d $(CURDIR)/debian/drizzle-doc && dh_sphinxdoc -Xlicense.txt) || /bin/true
 
-grepdiff:
-	bzr diff | grepdiff Copyright
-
-scan-copyright:
-	for f in `bzr status  --short | grep '^.[NM]' | awk '{print $$2}'` ; do [ -f $$f ] && bzr diff $$f | grep 'Copyright' && echo $$f; done
-
-get-orig-source:
-	# Uscan will read debian/watch, grab the correct version, repack, and
-	# leave it in the current directory
-	uscan --noconf --force-download --rename --repack \
-	  --download-current-version --destdir=.

## drizzle 2010.03.1347

=== plugin/innobase/CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # 
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02111-1307  USA
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
 # This is the CMakeLists for InnoDB Plugin
 
@@ -95,10 +95,11 @@
 			row/row0sel.c row/row0uins.c row/row0umod.c row/row0undo.c row/row0upd.c row/row0vers.c
 			srv/srv0que.c srv/srv0srv.c srv/srv0start.c
 			sync/sync0arr.c sync/sync0rw.c sync/sync0sync.c
+			thr/thr0loc.c
 			trx/trx0i_s.c trx/trx0purge.c trx/trx0rec.c trx/trx0roll.c trx/trx0rseg.c
 			trx/trx0sys.c trx/trx0trx.c trx/trx0undo.c
 			usr/usr0sess.c
-			ut/ut0byte.c ut/ut0dbg.c ut/ut0mem.c ut/ut0rbt.c ut/ut0rnd.c ut/ut0ut.c ut/ut0vec.c
+			ut/ut0byte.c ut/ut0dbg.c ut/ut0mem.c ut/ut0rnd.c ut/ut0ut.c ut/ut0vec.c
 			ut/ut0list.c ut/ut0wqueue.c)
 
 IF(NOT SOURCE_SUBLIBS)

=== debian/control ===
Source: drizzle
Section: misc
Priority: optional
Maintainer: Monty Taylor <mordred@inaugust.com>
Build-Depends: debhelper (>= 7.0.50), 
 chrpath,
 doxygen,
 perl (>= 5.6.0),
 python,
 zlib1g-dev (>= 1:1.1.3-5),
 libreadline5-dev | libreadline-dev,
 bison,
 protobuf-compiler,
 libprotobuf-dev,
 gperf,
 libpcre3-dev,
 libevent-dev,
 gettext, uuid-dev,
 libpam0g-dev,
 libdrizzle-dev,
 libgearman-dev (>= 0.10),
 libcurl4-gnutls-dev,
 libgnutls-dev,
 libmemcached-dev,
 automake,
 autoconf,
 libtool
Standards-Version: 3.8.4
Homepage: http://launchpad.net/pkg-drizzle
Vcs-Browser: http://bazaar.launchpad.net/~drizzle-developers/pkg-drizzle/trunk/files
Vcs-Bzr: http://bazaar.launchpad.net/~drizzle-developers/pkg-drizzle/trunk

Package: drizzle-client
Architecture: any
Depends: debianutils (>=1.6), ${shlibs:Depends}, ${misc:Depends}
Description: Client binaries for Drizzle Database
 The Drizzle project is building a database optimized for Cloud and Net 
 applications. It is being designed for massive concurrency on modern 
 multi-cpu/core architecture. The code is originally derived from MySQL. 
 .
 This package includes the client binaries.

Package: drizzle-server
Architecture: any                                                               
Suggests: tinyca
Pre-Depends: adduser (>= 3.40)
Depends: drizzle-client (>= ${source:Version}),
 psmisc,
 passwd,
 lsb-base (>= 3.0-10),
 ${shlibs:Depends},
 ${misc:Depends}
Description: Server binaries for Drizzle Database
 The Drizzle project is building a database optimized for Cloud and Net 
 applications. It is being designed for massive concurrency on modern 
 multi-cpu/core architecture. The code is originally derived from MySQL. 
 .
 This package includes the server binaries.

Package: drizzle-plugin-dev
Architecture: any                                                               
Recommends: protobuf-compiler
Depends: python,
 autoconf,
 automake,
 libtool,
 zlib1g-dev (>= 1:1.1.3-5),
 libreadline5-dev | libreadline-dev,
 libprotobuf-dev,
 libpcre3-dev,
 libevent-dev,
 gettext,
 uuid-dev,
 libpam0g-dev,
 libdrizzle-dev,
 lsb-base (>= 3.0-10),
 libgearman-dev,
 libcurl4-gnutls-dev,
 libgnutls-dev,
 libmemcached-dev,
 ${misc:Depends}
Description: Development files for Drizzle plugin development
 The Drizzle project is building a database optimized for Cloud and Net 
 applications. It is being designed for massive concurrency on modern 
 multi-cpu/core architecture. The code is originally derived from MySQL. 
 .
 This package includes the headers needed to develop plugins.


Package: drizzle-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: API Documentation for Drizzle internals
 The Drizzle project is building a database optimized for Cloud and Net 
 applications. It is being designed for massive concurrency on modern 
 multi-cpu/core architecture. The code is originally derived from MySQL. 
 .
 This package includes the API docs for all of the Drizzle internals.


Package: drizzle-dev
Architecture: all
Depends: python,
 automake,
 autoconf,
 libtool,
 zlib1g-dev (>= 1:1.1.3-5),
 libreadline5-dev | libreadline-dev,
 libprotobuf-dev,
 libpcre3-dev,
 libevent-dev,
 gettext,
 uuid-dev,
 libpam0g-dev,
 libdrizzle-dev,
 lsb-base (>= 3.0-10),
 libgearman-dev,
 libcurl4-gnutls-dev,
 libgnutls-dev,
 libmemcached-dev,
 bzr,
 bzrtools,
 uncrustify,
 lcov,
 protobuf-compiler,
 doxygen,
 perl,
 bison,
 gperf,
 valgrind,
 ${misc:Depends} 
Description: Development files for Drizzle development
 The Drizzle project is building a database optimized for Cloud and Net 
 applications. It is being designed for massive concurrency on modern 
 multi-cpu/core architecture. The code is originally derived from MySQL. 
 .
 This is an empty package depends on everything needed to hack on Drizzle.

Package: drizzle
Architecture: all
Depends: drizzle-server, drizzle-client, ${misc:Depends}
Description: Database for the cloud (meta package depending on client and server)
 The Drizzle project is building a database optimized for Cloud and Net 
 applications. It is being designed for massive concurrency on modern 
 multi-cpu/core architecture. The code is originally derived from MySQL. 
 .
 This is an empty package that installs both client and server packages.

=== debian/rules ===
#!/usr/bin/make -f

#Don't override any flags. k thanx bye
CFLAGS=
CPPFLAGS=
LDFLAGS=
CXXFLAGS=

MAKE_J = -j$(shell if [ -f /proc/cpuinfo ] ; then grep -c processor.* /proc/cpuinfo ; else echo 1 ; fi)
ifeq (${MAKE_J}, -j0)
  MAKE_J = -j1
endif


TMP=$(CURDIR)/debian/tmp/

override_dh_auto_configure:
	config/autorun.sh
	dh_auto_configure -- -disable-rpath

override_dh_auto_build:
	${MAKE} ${MAKE_J}

build: build-stamp
build-stamp:
	dh build
	perl -ple 's/HAVE_DOT\s+=\s+YES/HAVE_DOT = NO/' -i Doxyfile
	$(MAKE) doxygen
	touch build-stamp

clean:
	dh clean

install: build install-stamp
install-stamp:
	dh install
	touch install-stamp

binary-arch: install
	dh binary-arch

binary-indep: install
	dh binary-indep

binary: binary-arch binary-indep

get-orig-source:
	uscan --verbose --force-download --rename --repack --destdir=..

=== debian/watch ===
version=3
http://launchpad.net/drizzle/+download http://launchpad.net/drizzle/.*/drizzle-(.*)\.tar\.gz
